function [gi,go]=DoG1filter(a,sigma)
% [gi, go] = DoG1filter(a, sigma)
%
% creates 2 1-D gaussian filters.
%
% input:
% a: half-support of the filter. 
% sigma: standard deviation.  
% 2-D DoG filters can be contructed by combining 2 1-D DoG filters 
% separably, in x and y directions
%
% Reference: 
% Jitendra Malik and Pietro Perona. Preattentive texture discrimination
% with early vision mechanisms. Journal of Optical Society of America A, 
% 7(5), May 1990, 923-932.

% Zhenlan Jin

sigi = 0.71*sigma; sigo = 1.14*sigma;
t=-a:a;
gi = exp(-t.^2/(2*sigi^2)); gi = gi/sum(gi);
go = exp(-t.^2/(2*sigo^2)); go = go/sum(go);
