function kernel = RRgaussfilter1D(halfsupport, sigma)
% kernel = RRgaussfilter1D(halfsupport, sigma)
%   Creates a 1D gaussian filter kernel, centered at 0, with pixels from
%   -halfsupport:halfsupport, and standard deviation sigma.
% 
% Ruth Rosenholtz

t = -halfsupport:halfsupport;
kernel = exp(-t.^2/(2*sigma^2));
kernel = kernel/sum(kernel);

return;