color_clutter = cell(25, 1);
contrast_clutter = cell(25, 1);
clutter_combine = cell(25, 1);
a = 0.1615; % the "median" of all contrast clutter values
b = 0.3985; % the "median" of all color clutter values
            % these two medians are used as "weights" in combining the
            % color and contrast clutter
for ii = 1:25
    % compute the color clutter:
    [color_clutter_levels, color_clutter_map] = colorClutter(sprintf('%d.jpg', ii), 3, 3);  
    color_clutter{ii,1} = color_clutter_map;
    % compute the contrast clutter:
    [contrast_clutter_levels, contrast_clutter_map] = contrastClutter(sprintf('%d.jpg', ii), 3, 1);
    contrast_clutter{ii,1} = contrast_clutter_map;
    % combine the two together:
    clutter_combine{ii,1} = a*color_clutter{ii,1} + b*contrast_clutter{ii,1};
    % compute a scalar for each map: the average of combined clutter
    clutter_scalar(ii) = mean(mean(clutter_combine{ii,1}));
end

% give the rankings:
[yy, rank] = sort(clutter_scalar);

% display the rankings:
cd thumbnails
figure(6);
for i = 1:25
    subplot(5, 5, i);
    imshow(imread(sprintf('%d.jpg', rank(i))));
    title(sprintf('%d', rank(i)));
end
cd ..

save mapsclutter color_clutter contrast_clutter clutter_combine clutter_scalar rank